SplashTask (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.optional.splash.SplashTask class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.splash
Class SplashTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.tools.ant.taskdefs.optional.splash.SplashTask

public class SplashTask
extends Task

Creates a splash screen. The splash screen is displayed for the duration of the build and includes a handy progress bar as well. Use in conjunction with the sound task to provide interest whilst waiting for your builds to complete...

Since:
  Ant1.5
Author:
  Les Hughes (leslie.hughes@rubus.com)

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`SplashTask()`

Method Summary
`void` | `execute()` Called by the project to let the task do its work.
`void` | `setImageURL(java.lang.String imgurl)` A URL pointing to an image to display; optional, default antlogo.gif from the classpath.
`void` | `setPassword(java.lang.String password)` Proxy password; required if `user` is set.
`void` | `setPort(java.lang.String port)` Proxy port; optional, default 80.
`void` | `setProxy(java.lang.String proxy)` name of proxy; optional.
`void` | `setShowduration(int duration)` how long to show the splash screen in milliseconds, optional; default 5000 ms.
`void` | `setUseproxy(boolean useProxy)` Deprecated. use org.apache.tools.ant.taskdefs.optional.SetProxy
`void` | `setUser(java.lang.String user)` Proxy user; optional, default =none.

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, handleErrorFlush, handleErrorOutput, handleFlush, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SplashTask

    public SplashTask()

Method Detail

### setImageURL

    public void setImageURL(java.lang.String imgurl)

  A URL pointing to an image to display; optional, default antlogo.gif from the classpath.

### setUseproxy

    public void setUseproxy(boolean useProxy)

  Deprecated. use org.apache.tools.ant.taskdefs.optional.SetProxy

  flag to enable proxy settings; optional, deprecated : consider using <setproxy> instead

### setProxy

    public void setProxy(java.lang.String proxy)

  name of proxy; optional.

### setPort

    public void setPort(java.lang.String port)

  Proxy port; optional, default 80.

### setUser

    public void setUser(java.lang.String user)

  Proxy user; optional, default =none.

### setPassword

    public void setPassword(java.lang.String password)

  Proxy password; required if `user` is set.

### setShowduration

    public void setShowduration(int duration)

  how long to show the splash screen in milliseconds, optional; default 5000 ms.

### execute

    public void execute()
                 throws BuildException

  Description copied from class: `Task`
  Called by the project to let the task do its work. This method may be called more than once, if the task is invoked more than once. For example, if target1 and target2 both depend on target3, then running "ant target1 target2" will run all tasks in target3 twice.

  Overrides:
    `execute` in class `Task`
  Throws:
    `BuildException` - if something goes wrong with the build

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.